View Issue Details

IDProjectCategoryView StatusLast Update
0003935Slicer4Core: Extensionspublic2017-08-03 17:26
ReporterchribaueAssigned Tojcfr 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
Product VersionSlicer 4.4.0 
Target VersionFixed in VersionSlicer 4.7.0 
Summary0003935: slicerExtensionWizard has no --publish and --contribute options
Description

~/software/public/Slicer-SuperBuildDCMTK-Release/Slicer-build/bin/slicerExtensionWizard --publish PETTumorSegmentation

produces:
ExtensionWizard.py: error: unrecognized arguments: --publish

~/software/public/Slicer-SuperBuildDCMTK-Release/Slicer-build/bin/slicerExtensionWizard --help
usage: ExtensionWizard.py [-h] [--version] [--create [TYPE:]NAME]
[--addModule TYPE:NAME]
[--templatePath [CATEGORY=]PATH]
[--templateKey TYPE=KEY] [--listTemplates]
[--describe]
[destination]

Slicer Wizard

positional arguments:
destination location of output files / extension source (default:
'.')

optional arguments:
-h, --help show this help message and exit
--version show program's version number and exit
--create [TYPE:]NAME create TYPE extension NAME under the destination
directory; any modules are added to the new extension
(default type: 'default')
--addModule TYPE:NAME
add new TYPE module NAME to an existing project in the
destination directory; may use more than once
--templatePath [CATEGORY=]PATH
add additional template path for specified template
category; if no category, expect that PATH contains
subdirectories for one or more possible categories
--templateKey TYPE=KEY
set template substitution key for specified template
(default key: 'TemplateKey')
--listTemplates show list of available templates and associated
substitution keys
--describe print the extension description (s4ext) to standard
output

Additional Information

Slicer version hash: 9da7ee3491eefed66f85c69095d6ca60c4b52799

git version: git version 1.9.3 (Apple Git-50)

Mac OSX 10.10.1

XCode 6.1.1

Tagshelp-wanted

Activities

jcfr

jcfr

2015-01-07 19:10

administrator   ~0012855

See http://wiki.slicer.org/slicerWiki/index.php/Documentation/Nightly/Developers/FAQ#Why_is_the_--contribute_option_is_not_available_with_the_ExtensionWizard_.3F

fedorov

fedorov

2015-01-07 19:55

developer   ~0012856

Does it make sense to print out the message informing the user about this when the script is run? Or include a generic message in "--help" output informing the user that if these options are not available, SSL should be enabled?

jcfr

jcfr

2015-10-28 11:25

administrator   ~0013450

Un-targeting this issue, this is not needed for the coming release and can be addressed later on.

jcfr

jcfr

2017-08-03 17:05

administrator   ~0015011

See https://github.com/Slicer/Slicer/pull/763

jcfr

jcfr

2017-08-03 17:26

administrator   ~0015012

Fixed in r26197
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26197 and https://github.com/Slicer/Slicer/pull/763

Issue History

Date Modified Username Field Change
2015-01-07 13:44 chribaue New Issue
2015-01-07 13:44 chribaue Status new => assigned
2015-01-07 13:44 chribaue Assigned To => jcfr
2015-01-07 19:10 jcfr Note Added: 0012855
2015-01-07 19:10 jcfr Status assigned => resolved
2015-01-07 19:10 jcfr Fixed in Version => Slicer 4.4.1
2015-01-07 19:10 jcfr Resolution open => fixed
2015-01-07 19:10 jcfr Target Version => Slicer 4.4.1
2015-01-07 19:55 fedorov Note Added: 0012856
2015-01-07 19:56 fedorov Status resolved => feedback
2015-01-07 19:56 fedorov Resolution fixed => reopened
2015-09-09 08:29 jcfr Fixed in Version Slicer 4.4.1 => Slicer 4.5.0-1
2015-09-09 08:29 jcfr Target Version Slicer 4.4.1 => Slicer 4.5.0-1
2015-10-27 10:27 jcfr Priority normal => low
2015-10-28 11:25 jcfr Note Added: 0013450
2015-10-28 11:25 jcfr Fixed in Version Slicer 4.5.0-1 =>
2015-10-28 11:25 jcfr Target Version Slicer 4.5.0-1 =>
2015-10-28 11:26 jcfr Tag Attached: help-wanted
2016-05-03 14:16 jcfr Summary slicerExtensionWizard has no --public and --contribute option => slicerExtensionWizard has no --publish and --contribute options
2017-08-03 17:05 jcfr Note Added: 0015011
2017-08-03 17:26 jcfr Status feedback => resolved
2017-08-03 17:26 jcfr Fixed in Version => Slicer 4.7.0
2017-08-03 17:26 jcfr Note Added: 0015012